
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/wavelan_cs.c |   10 ++++++++++
 1 files changed, 10 insertions(+)

diff -puN drivers/net/wireless/wavelan_cs.c~pcmcia-id_table-for-wavelan_cs drivers/net/wireless/wavelan_cs.c
--- 25/drivers/net/wireless/wavelan_cs.c~pcmcia-id_table-for-wavelan_cs	2005-03-20 15:44:28.000000000 -0800
+++ 25-akpm/drivers/net/wireless/wavelan_cs.c	2005-03-20 15:44:28.000000000 -0800
@@ -4889,6 +4889,15 @@ wavelan_event(event_t		event,		/* The ev
   return 0;
 }
 
+static struct pcmcia_device_id wavelan_ids[] = {
+	PCMCIA_DEVICE_PROD_ID12("AT&T","WaveLAN/PCMCIA", 0xe7c5affd, 0x1bc50975),
+	PCMCIA_DEVICE_PROD_ID12("Digital", "RoamAbout/DS", 0x9999ab35, 0x00d05e06),
+	PCMCIA_DEVICE_PROD_ID12("Lucent Technologies", "WaveLAN/PCMCIA", 0x23eb9949, 0x1bc50975),
+	PCMCIA_DEVICE_PROD_ID12("NCR", "WaveLAN/PCMCIA", 0x24358cd4, 0x1bc50975),
+	PCMCIA_DEVICE_NULL,
+};
+MODULE_DEVICE_TABLE(pcmcia, wavelan_ids);
+
 static struct pcmcia_driver wavelan_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -4896,6 +4905,7 @@ static struct pcmcia_driver wavelan_driv
 	},
 	.attach		= wavelan_attach,
 	.detach		= wavelan_detach,
+	.id_table       = wavelan_ids,
 };
 
 static int __init
_
